﻿#region codejockey.net Copyright Banner
/***************************************************************\
 * Copyright 2010 codejockey.net.                                *
 *                                                               *
 * This code is property of codejockey.net and cannot be used    *
 * without explicit permission given by a codejockey.net         *
 * Representative.  For details contact: source@codejockey.net   *
 \***************************************************************/
#endregion

using System.Configuration;

using Microsoft.Practices.EnterpriseLibrary.Common.Configuration;

namespace codejockey.BingPaper.Configuration
{
  public class BingPaperTokenConfigElement : NamedConfigurationElement
  {
    [ConfigurationProperty("token")]
    public string Trigger
    {
      get { return (string)base["trigger"]; }
    	protected set { base["trigger"] = value; }
    }

    [ConfigurationProperty("enabled")]
    public bool Enabled
    {
      get { return (bool)base["enabled"]; }
      set { base["enabled"] = value; }
    }

    [ConfigurationProperty("replacer")]
    public string Replacer
    {
      get { return (string)base["replacer"]; }
      set { base["replacer"] = value; }
    }
  }
}
