﻿#region codejockey.net Copyright Banner
/***************************************************************\
 * Copyright 2010 codejockey.net.                                *
 *                                                               *
 * This code is property of codejockey.net and cannot be used    *
 * without explicit permission given by a codejockey.net         *
 * Representative.  For details contact: source@codejockey.net   *
 \***************************************************************/
#endregion

using System;
using System.Collections.Generic;
using System.Configuration;
using System.Linq;
using System.Text;

namespace codejockey.BingPaper.Configuration
{
  public class BingPaperAutoRefreshConfigElement : ConfigurationElement
  {
    [ConfigurationProperty("enabled", DefaultValue = true, IsRequired = true)]
    public bool Enabled
    {
      get { return (bool)base["enabled"]; }
      set { base["enabled"] = value; }
    }

    [ConfigurationProperty("refreshInterval", IsRequired = true)]
    public TimeSpan RefreshInterval
    {
      get { return (TimeSpan)base["refreshInterval"]; }
      set { base["refreshInterval"] = value; }
    }
  }
}
