﻿#region codejockey.net Copyright Banner
/***************************************************************\
 * Copyright 2010 codejockey.net.                                *
 *                                                               *
 * This code is property of codejockey.net and cannot be used    *
 * without explicit permission given by a codejockey.net         *
 * Representative.  For details contact: source@codejockey.net   *
 \***************************************************************/
#endregion

#region using Clause

using System.Collections.Generic;

#endregion

namespace codejockey.BingPaper.Utils
{
  /// <summary>
  /// CountryCodes contains a list of country codes that I know of that the
  /// RSS feed current supports.
  /// </summary>
  public class CountryCodes : SortedDictionary<string, string>
  {

    #region Public Properties

    public static string DefaultCountryCodeKey
    {
      get
      {
        return "United States";
      }
    }

    #endregion

    #region Constructors

    public CountryCodes()
    {
      Add("United States", "us");
      Add("Japan", "jp");
      Add("China", "cn");
      Add("United Kingdom", "uk");
      Add("Australia", "au");
      Add("New Zealand", "nz");
      Add("Germany", "de");
      Add("Canada", "ca");
    }

    #endregion

  }
}
